package com.jpattern.orm.query;

import com.jpattern.orm.exception.OrmException;

/**
 * 
 * @author Francesco Cina
 *
 * 09/lug/2011
 */
public interface SqlFindQuery extends ICustomQuery, BaseFindQuery {

	/**
	 * Set the maximum number of rows to return in the query.
	 * @param maxRows
	 * @return
	 */
	SqlFindQuery setMaxRows(int maxRows) throws OrmException;
	
	/**
	 * Set the query timeout for the query.
	 */
	SqlFindQuery setQueryTimeout(int queryTimeout);
	
}
